Subject: Sort-8.4 bug
From: Santiago Rodriguez <[email-masked]>
To: [email-masked]
Date: Fri, 16 Apr 2010 12:58:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear sirs,

I think I have found a bug in sort coreutils command. When I type

sort -T /tmp +1 -2 +2rn -3 +0 -1<<EOF
perra/S perra 2.200000
perro/PS perra 4.400000
EOF

The result is:
perra/S perra 2.200000
perro/PS perra 4.400000

If I type
sort -T /tmp +1 -2 +2n -3 +0 -1<<EOF
perra/S perra 2.200000
perro/PS perra 4.400000
EOF

The result is the same. If I make the same executions with sort 5.0 it
works properly.

Setting or unsetting the LC_ALL=POSIX environment variable has no effect.

If you need more information, do not hesitate to ask.

Best regards,
Santiago Rodríguez.